Bug 188560 - [PATCH] devel/py-simpy: stage
Summary: [PATCH] devel/py-simpy: stage
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: David Naylor
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-13 18:00 UTC by Bartek Rutkowski
Modified: 2014-05-12 19:00 UTC (History)
1 user (show)

See Also:


Attachments
py-simpy-2.3.1.patch (1.06 KB, patch)
2014-04-13 18:00 UTC, Bartek Rutkowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bartek Rutkowski freebsd_committer 2014-04-13 18:00:00 UTC
- Stage
- Add LICENSE
- Pet portlint

http://poudriere.ithil.palantiri.org:8080/latest-per-pkg/py27-simpy/2.3.1_1/

Port maintainer (wen@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.03.23 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-04-13 18:00:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 David Naylor freebsd_committer 2014-05-12 18:38:14 UTC
Responsible Changed
From-To: wen->dbn

I'll take it
Comment 3 dfilter service freebsd_committer 2014-05-12 18:47:45 UTC
Author: dbn
Date: Mon May 12 17:47:40 2014
New Revision: 353880
URL: http://svnweb.freebsd.org/changeset/ports/353880
QAT: https://qat.redports.org/buildarchive/r353880/

Log:
  Stagify devel/py-simpy.
  
   - Add stage support
   - Add LICENSE (LGPL20)
   - Update website
   - Remove unneeded `.include <bsd.port.pre.mk>'
  
  PR:		ports/188560
  Submitted by:	Bartek Rutkowski <ports@robakdesign.com>
  Approved by:	portmgr (implicit)

Modified:
  head/devel/py-simpy/Makefile
  head/devel/py-simpy/pkg-descr

Modified: head/devel/py-simpy/Makefile
==============================================================================
--- head/devel/py-simpy/Makefile	Mon May 12 17:45:28 2014	(r353879)
+++ head/devel/py-simpy/Makefile	Mon May 12 17:47:40 2014	(r353880)
@@ -13,6 +13,9 @@ DISTNAME=	SimPy-${PORTVERSION}
 MAINTAINER=	wen@FreeBSD.org
 COMMENT=	Simulation in Python
 
+LICENSE=	LGPL20
+
+NO_ARCH=	yes
 USE_PYTHON=	yes
 USE_PYDISTUTILS=	yes
 PYDISTUTILS_PKGNAME=	SimPy
@@ -22,9 +25,7 @@ TKINTER_DESC=	py-tkinter for plot
 
 OPTIONSFILE=	${PORT_DBDIR}/py-${PORTNAME}/options
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
-.include <bsd.port.pre.mk>
 
 .if ${PORT_OPTIONS:MTKINTER}
 RUN_DEPENDS+=	${PYTHON_PKGNAMEPREFIX}tkinter>0:${PORTSDIR}/x11-toolkits/py-tkinter
@@ -32,8 +33,8 @@ RUN_DEPENDS+=	${PYTHON_PKGNAMEPREFIX}tki
 
 post-install:
 .if ${PORT_OPTIONS:MDOCS}
-	@${MKDIR} ${DOCSDIR}
-	(cd ${WRKSRC}/docs && ${COPYTREE_SHARE} . ${DOCSDIR})
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	(cd ${WRKSRC}/docs && ${COPYTREE_SHARE} . ${STAGEDIR}${DOCSDIR})
 .endif
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/devel/py-simpy/pkg-descr
==============================================================================
--- head/devel/py-simpy/pkg-descr	Mon May 12 17:45:28 2014	(r353879)
+++ head/devel/py-simpy/pkg-descr	Mon May 12 17:47:40 2014	(r353880)
@@ -7,4 +7,4 @@ like servers, checkout counters, and tun
 to aid in gathering statistics. Random variates are provided by the standard
 Python random module.
 
-WWW: http://simpy.sourceforge.net/
+WWW: http://simpy.readthedocs.org/en/latest/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 David Naylor freebsd_committer 2014-05-12 18:49:51 UTC
State Changed
From-To: open->closed

Committed, with minor change.  Thank you :-)
Comment 5 dfilter service freebsd_committer 2014-05-12 18:55:19 UTC
Author: dbn
Date: Mon May 12 17:55:15 2014
New Revision: 353883
URL: http://svnweb.freebsd.org/changeset/ports/353883
QAT: https://qat.redports.org/buildarchive/r353883/

Log:
  Fix LICENSE for devel/py-simpy.
  
   - License is LGPL21, not LGPL20 (as per $WORKDIR/LICENSE.txt)
  
  PR:		ports/188560
  Approved by:	portmgr (implicit)

Modified:
  head/devel/py-simpy/Makefile

Modified: head/devel/py-simpy/Makefile
==============================================================================
--- head/devel/py-simpy/Makefile	Mon May 12 17:55:07 2014	(r353882)
+++ head/devel/py-simpy/Makefile	Mon May 12 17:55:15 2014	(r353883)
@@ -13,7 +13,7 @@ DISTNAME=	SimPy-${PORTVERSION}
 MAINTAINER=	wen@FreeBSD.org
 COMMENT=	Simulation in Python
 
-LICENSE=	LGPL20
+LICENSE=	LGPL21
 
 NO_ARCH=	yes
 USE_PYTHON=	yes
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"